ResourceTree (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.resourceTree.ResourceTree class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared.resourceTree
Class ResourceTree

    java.lang.Object
      org.hyperic.hq.appdef.shared.resourceTree.ResourceTree

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceTree

extends java.lang.Object
implements java.io.Serializable

A tree which represents portions of a hierarchy. The tree representation describes the relationships between all the different types (platform, server, service, application),

See Also:
  Serialized Form

Constructor Summary
`ResourceTree()`

Method Summary
`ApplicationNode` | `addApplication(ApplicationValue app)`
`PlatformNode` | `addPlatform(Platform platform)`
`java.util.Iterator` | `getApplications()`
`java.util.Iterator` | `getPlatformIterator()`
`java.util.List` | `getPlatforms()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceTree

    public ResourceTree()

Method Detail

### addApplication

    public ApplicationNode addApplication(ApplicationValue app)

### getApplications

    public java.util.Iterator getApplications()

### addPlatform

    public PlatformNode addPlatform(Platform platform)

### getPlatforms

    public java.util.List getPlatforms()

### getPlatformIterator

    public java.util.Iterator getPlatformIterator()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.